title: A look at your [[this]]
transient_title: "Here''s an overview of the people in your [[this]]"
description: An exploration of your users to get you started.
metrics:
- Count:
    metric: [count]
dimensions:
- JoinDate:
    field_type: JoinTimestamp
    score: 100
- JoinDate:
    field_type: JoinDate
    score: 100
- JoinDate:
    field_type: CreationTimestamp
    score: 90
- JoinDate:
    field_type: CreationDate
    score: 90
- JoinDate:
    field_type: DateTime
    score: 30
- JoinDate:
    field_type: Date
    score: 30
- GenericNumber:
    field_type: GenericTable.Number
    score: 80
- Source:
    field_type: GenericTable.Source
- GenericCategoryMedium:
    field_type: GenericTable.Category
    score: 75
- State:
    field_type: State
- Country: Country
- Long: GenericTable.Longitude
- Lat: GenericTable.Latitude
# Ignore
- Name: Name
- Birthdate: Birthdate
- ZIP: ZipCode
filters:
  - Last30Days:
      filter: ["time-interval", [dimension, JoinDate], -30, day]
groups:
- Overview:
    title: Overview
- Geographical:
    title: Where these [[this.short-name]] are
- General:
    title: How these [[this.short-name]] are distributed
dashboard_filters:
- JoinDate
- GenericCategoryMedium
- Source
- Country
- State
cards:
# Overview
  - Rowcount:
      title: Total [[this.short-name]]
      visualization: scalar
      metrics: Count
      score: 100
      group: Overview
      width: 5
      height: 3
  - RowcountLast30Days:
      title: New [[this.short-name]] in the last 30 days
      visualization: scalar
      metrics: Count
      score: 100
      filters: Last30Days
      group: Overview
      width: 5
      height: 3
  - UserbaseGrowth:
      visualization: smartscalar
      title: User growth
      dimensions: JoinDate
      metrics: Count
      width: 5
      height: 3
      group: Overview
  - NewUsersByMonth:
      visualization: line
      title: New [[this.short-name]] per month
      dimensions: JoinDate
      metrics: Count
      score: 100
      group: Overview
      width: 18
      height: 7
# Geographical
  - CountByCountry:
      title: Per country
      metrics: Count
      dimensions: Country
      score: 90
      visualization:
        map:
          map.type: region
          map.region: world_countries
      group: Geographical
  - CountByState:
      title: "Per state"
      metrics: Count
      dimensions: State
      score: 90
      height: 8
      visualization:
        map:
          map.type: region
          map.region: us_states
      group: Geographical
  - CountByCoords:
      title: "By coordinates"
      metrics: Count
      dimensions:
        - Long
        - Lat
      visualization: map
      score: 80
      height: 8
      group: Geographical
# General
  - NumberDistribution:
      title: How [[GenericNumber]] is distributed
      dimensions:
        - GenericNumber:
            aggregation: default
      metrics: Count
      visualization: bar
      score: 90
      group: General
  - CountByCategoryMedium:
      title: "Per [[GenericCategoryMedium]]"
      dimensions: GenericCategoryMedium
      metrics: Count
      visualization: smart-row
      score: 70
      height: 8
      group: General
  - CountBySource:
      title: "Per [[Source]]"
      dimensions: Source
      metrics: Count
      visualization: row
      score: 80
      height: 8
      group: General
      order_by:
        - Count: descending
